﻿@using Portal.Models.PO;
@using System.Web.UI.WebControls

@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@model Toyota.Common.Web.MVC.ModelHolder
           
@section Script {
    $(document).ready(function(){        
        SAPSDGridView.Refresh();
    });
    
    // =========================== Parameter variabels =============================
    var productionYear = "";
    var version = "";
    var supplierCode = "";
    // =============================================================================

    // =============== supplier annual plan summary header function ================
    function OnSAPSHSearchButtonClick(s, e) {
        productionYear = SAPSHProductionYearOption.GetValue();
        supplierCode = SAPSHSupplierIDLookup.GetValue();
        version = SAPSHVersionOption.GetValue();

        SAPSDGridView.PerformCallback();
    }

    function OnSAPSHClearButtonClick(s, e) {
        SAPSHSupplierIDLookup.SetValue();
        GridSAPSHSupplierIDLookup.UnselectRows();

        SAPSHProductionYearOption.SetValue();
        SAPSHVersionOption.SetValue();

        SAPSDGridView.ClearFilter();

        OnSAPSHSearchButtonClick();
    }   
    // =============================================================================
    
    // =============== supplier annual plan summary detail function ================
    function OnSAPSDGridViewBeginCallback(s, e) {
        e.customArgs["ProductionYear"] = productionYear;
        e.customArgs["SupplierCode"] = supplierCode;
        e.customArgs["Version"] = version;
    }
    // =============================================================================
}

<link href="@Url.Content("~/Content/Style/SupplierAnnualPlanSummary.css")" rel="Stylesheet" type="text/css" />

<div style="display:table; border:1px solid #142B94; background-color:#DEECFD; padding:10px;">
    @Html.Action("PartialHeaderSupplierAnnualPlanSummary", "SupplierAnnualPlanSummary")
</div>        
<div style="height: 15px;"></div> @* div spacing *@
<div> 
    @Html.Action("PartialDetailSupplierAnnualPlanSummary", "SupplierAnnualPlanSummary")
</div>
<div style="height: 100px;">
</div>
@Html.Common().DevExpress().MessageBoard(
    msettings =>
    {
        msettings.Name = "MessageBoard";
        msettings.BoardName = "Supplier Annual Plan Summary";
        msettings.Position = MessageBoardPosition.RIGHT;
    }
).GetHtml()